#include <Servo.h> //include servo library
#include <LiquidCrystal.h> //LCD library
#include "PlantMonitor.h" // Sensor Library
Servo myservo; //create a servo object
// initialize the library by associating any needed LCD interface pin
// with the arduino pin number it is connected to
const int rs = 13, en = 12, d4 = 11, d5 = 10, d6 = 9, d7 = 8;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);
int servopin = 3; //Sets pin for servo
PlantMonitor pm = PlantMonitor(6, 5); // RX, TX pins for plant sensor
// Constants for the button
const int buttonPin = 4;
int buttonState = 0;
int lastButtonState = 0;
// Environment Variables
float temperature;
float humidity;
float moisture;
// Index for push button
int index = 0;
void setup() {
  // put your setup code here, to run once:
Serial.begin(9600);
myservo.attach(servopin); 
// Initialize the button pin as input
//pinMode(buttonPin, INPUT_PULLUP);
// set up the LCD's number of columns and rows:
lcd.begin(16, 2);
}
void loop() {
  // put your main code here, to run repeatedly:
//moisture = pm.getWater(); //Records moisture to moisture variable
//if (moisture > 10000){ //Adjust for plant type
//  myservo.write(20); //moves servo x degrees
//  delay(4000); //Water time 
//  myservo.write (160); //Close valve
//}
// Read the state of the button
 buttonState = digitalRead(buttonPin);
  // Check if the button was pressed
  if (buttonState == LOW && lastButtonState == HIGH) {
    // Cycle through the variables
    index = (index + 1) % 3;
    // Clear the LCD and display new data based on index
    lcd.clear();
    switch(index) {
      case 0:
        lcd.print("Temp: " + String(pm.getTemp()) + " C");
        delay(500);
        break;
      case 1:
        lcd.print("Hum: " + String(pm.getHumidity()) + "%");
        delay(500);
        break;
      case 2:
        lcd.print("Water: " + String(pm.getWater()) + " W");
        delay(500);
        break;
    }  
    // Debounce delay
    delay(100);
  }
  // Save the current state as the last state, for next loop iteration
  lastButtonState = buttonState;
}


